<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(1);
require_once '../cms/includes/inicio.php';

$nome = addslashes(trim(@$_POST['nome']));
$email = addslashes(trim(@$_POST['email']));
$telefone = addslashes(trim(@$_POST['telefone']));
$unidade = addslashes(trim(@$_POST['unidade']));
$convenio = addslashes(trim(@$_POST['convenio']));
$sexo = addslashes(trim(@$_POST['sexo']));
$datanascimento = addslashes(trim(@$_POST['datanascimento']));
$celular = addslashes(trim(@$_POST['celular']));
$cpf = addslashes(trim(@$_POST['cpf']));
$rg = addslashes(trim(@$_POST['rg']));
$endereco = addslashes(trim(@$_POST['endereco']));
$cidade = addslashes(trim(@$_POST['cidade']));
$estado = addslashes(trim(@$_POST['estado']));
$bairro = addslashes(trim(@$_POST['bairro']));

$carteira = $requisicao = $requisicao2 = $requisicao3 = '';

if (@$_FILES['carteira']['name'][0] != "") {
    if (@$_FILES['carteira']['size'][0] > 3000000) {
        $dados = array("status" => false, "msg" => 'Arquivo muito grande.',  "clear" => false);
        $_error = true;
        echo json_encode($dados);
        exit;
    } else {     
        $extensao = explode('.', $_FILES['carteira']['name'][0]);
        $ext = end($extensao);

        $typesAccept = array("pdf", "jpg", "jpeg", "png");
        if (in_array(strtolower($ext), $typesAccept)) {
            $agoraImg = date('YmdHis');
            if (move_uploaded_file($_FILES['carteira']['tmp_name'][0], "../externos/contest/". $agoraImg.".".$ext)) {
                $image = $agoraImg.".".$ext;
            } 
            $carteira = $image;
        }  else {
            $dados = array("status" => false, "msg" => 'Tipo de arquivo inválido',  "clear" => false);
            $_error = true;
            echo json_encode($dados);
            exit;
        }
    }
}  
$sec = date('s');
while($sec == date('s')) {}
if (@$_FILES['requisicao']['name'][0] != "") {
    if (@$_FILES['requisicao']['size'][0] > 3000000) {
        $dados = array("status" => false, "msg" => 'Arquivo muito grande.',  "clear" => false);
        $_error = true;
        echo json_encode($dados);
        exit;
    } else {     
        $extensao = explode('.', $_FILES['requisicao']['name'][0]);
        $ext = end($extensao);

        $typesAccept = array("pdf", "jpg", "jpeg", "png");
        if (in_array(strtolower($ext), $typesAccept)) {
            $agoraImg = date('YmdHis');
            if (move_uploaded_file($_FILES['requisicao']['tmp_name'][0], "../externos/contest/". $agoraImg.".".$ext)) {
                $image = $agoraImg.".".$ext;
            } 
            $requisicao = $image;
        }  else {
            $dados = array("status" => false, "msg" => 'Tipo de arquivo inválido',  "clear" => false);
            $_error = true;
            echo json_encode($dados);
            exit;
        }
    }
}  
$sec = date('s');
while($sec == date('s')) {}
if (@$_FILES['requisicao2']['name'][0] != "") {
    if (@$_FILES['requisicao2']['size'][0] > 3000000) {
        $dados = array("status" => false, "msg" => 'Arquivo muito grande.',  "clear" => false);
        $_error = true;
        echo json_encode($dados);
        exit;
    } else {     
        $extensao = explode('.', $_FILES['requisicao2']['name'][0]);
        $ext = end($extensao);

        $typesAccept = array("pdf", "jpg", "jpeg", "png");
        if (in_array(strtolower($ext), $typesAccept)) {
            $agoraImg = date('YmdHis');
            if (move_uploaded_file($_FILES['requisicao2']['tmp_name'][0], "../externos/contest/". $agoraImg.".".$ext)) {
                $image = $agoraImg.".".$ext;
            } 
            $requisicao2 = $image;
        }  else {
            $dados = array("status" => false, "msg" => 'Tipo de arquivo inválido',  "clear" => false);
            $_error = true;
            echo json_encode($dados);
            exit;
        }
    }
} 
$sec = date('s');
while($sec == date('s')) {} 
if (@$_FILES['requisicao3']['name'][0] != "") {
    if (@$_FILES['requisicao3']['size'][0] > 3000000) {
        $dados = array("status" => false, "msg" => 'Arquivo muito grande.',  "clear" => false);
        $_error = true;
        echo json_encode($dados);
        exit;
    } else {     
        $extensao = explode('.', $_FILES['requisicao3']['name'][0]);
        $ext = end($extensao);

        $typesAccept = array("pdf", "jpg", "jpeg", "png");
        if (in_array(strtolower($ext), $typesAccept)) {
            $agoraImg = date('YmdHis');
            if (move_uploaded_file($_FILES['requisicao3']['tmp_name'][0], "../externos/contest/". $agoraImg.".".$ext)) {
                $image = $agoraImg.".".$ext;
            } 
            $requisicao3 = $image;
        }  else {
            $dados = array("status" => false, "msg" => 'Tipo de arquivo inválido',  "clear" => false);
            $_error = true;
            echo json_encode($dados);
            exit;
        }
    }
}  



if (!empty($nome) && !empty($email)  && !empty($unidade) && !empty($convenio) 
    && !empty($requisicao) && !empty($carteira) && !empty($celular) 
    && !empty($datanascimento) && !empty($cpf) && !empty($rg) && !empty($endereco)
    && !empty($bairro) && !empty($cidade) && !empty($estado) && !empty($sexo)) {
    $dados = array(
        'nome' => $nome,
        'email' => $email,
        'telefone' => $telefone,
        'unidade' => $unidade,
        'convenio' => $convenio,
        'carteira' => $carteira,
        'requisicao' => $requisicao,
        'requisicao2' => @$requisicao2,
        'requisicao3' => @$requisicao3,
        'sexo' => $sexo,
        'datanascimento' => $datanascimento,
        'celular' => $celular,
        'cpf' => $cpf,
        'rg' => $rg,
        'endereco' => $endereco,
        'bairro' => $bairro,
        'cidade' => $cidade,
        'estado' => $estado,
    );

    $msgBody = "Nome: ".$nome."<br />
                Email: ".$email."<br />
                Telefone: ".$telefone."<br />
                Celular: ".$celular."<br />
                CPF: ".$cpf."<br />
                rg: ".$rg."<br />
                Data de Nascimento: ".$datanascimento."<br />
                sexo: ".$sexo."<br />
                Endereço: ".$endereco."<br />
                Bairro: ".$bairro."<br />
                Cidade: ".$cidade."<br />
                Estado: ".$estado."<br />
                Unidade: ".$unidade."<br />
                
                Convênio: ".$convenio;
    
                // Carteira: ".$carteira."<br />
                // Requisicao: ".$requisicao."<br />

    $anexos = array("carteira" => $carteira, "requisicao" => $requisicao, "requisicao2" => $requisicao2, "requisicao3" => $requisicao3);

    $para = 'atendimento@edmarvictor.com.br | angeiras@cappen.com';
    //$para = 'gabriela@cappen.com | angeiras@cappen.com';
    $subject =  '=?UTF-8?B?'.base64_encode('PRÉ-AGENDAMENTO Edmar Victor - Site').'?=';
    $enviarEmail = Email::envia($para, $subject, $msgBody, $anexos);

    if ($enviarEmail) {
        $retorno = array("status" => true, "msg" => htmlentities("Enviado com sucesso."));
    } else {
        $retorno = array("status" => false, "msg" => htmlentities("Não foi possível realizar essa a operação. Tente novamente mais tarde."));
    }
} else {
    $retorno = array("status" => false, "msg" => htmlentities("Preencha os campos necessários."));
}

header('Content-Type: application/json; charset=utf-8');
echo html_entity_decode(json_encode($retorno));

?>
